Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class ServiceStatement

    java.lang.Object
      org.jini.rio.core.provision.ServiceStatement

All Implemented Interfaces:
  Serializable

    public class ServiceStatement

extends Object
implements Serializable

A ServiceStatement contains `ServiceRecord` instances documenting service instantiation(s) and usage information

See Also:
  Serialized Form

Constructor Summary
`ServiceStatement(ServiceElement sElem)` Create a ServiceStatement

Method Summary
`String` | `getOrganization()` Get the organization property
`ServiceElement` | `getServiceElement()` Get the ServiceElement
`ServiceRecord[]` | `getServiceRecords()` Get all ServiceRecord instances
`ServiceRecord[]` | `getServiceRecords(int type)` Get ServiceRecord instances for ServiceRecord type(s)
`ServiceRecord[]` | `getServiceRecords(Uuid sbid)` Get all ServiceRecord instances for a ServiceBean identifier
`ServiceRecord[]` | `getServiceRecords(Uuid instantiatorID, int type)` Get ServiceRecord instances for a key and ServiceRecord type(s)
`ServiceRecord[]` | `getServiceRecords(Uuid sbid, Uuid instantiatorID)` Get all ServiceRecord instances for a ServiceBean identifier and key
`boolean` | `hasActiveServiceRecords()`
`void` | `putServiceRecord(Uuid instantiatorID, ServiceRecord record)` Add a ServiceRecord

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceStatement

    public ServiceStatement(ServiceElement sElem)

  Create a ServiceStatement

  Parameters:
    `sElem` - The sElem for the ServiceBean

Method Detail

### getServiceElement

    public ServiceElement getServiceElement()

  Get the ServiceElement

  Returns:
    The ServiceElement for the ServiceBean

### getOrganization

    public String getOrganization()

  Get the organization property

  Returns:
    The organization (representative owner) of the service. If the organization property is null, an empty String will be returned

### hasActiveServiceRecords

    public boolean hasActiveServiceRecords()

  Returns:
    If there are any ServiceRecord instances with a type of ServiceRecord.ACTIVE return true

### putServiceRecord

    public void putServiceRecord(Uuid instantiatorID,
                                 ServiceRecord record)

  Add a ServiceRecord

  Parameters:
    `instantiatorID` - The ServiceBeanInstantiator id to store the record for
    `record` - The ServiceRecord to add
  Throws:
    `NullPointerException` - If either of the parameters are null

### getServiceRecords

    public ServiceRecord[] getServiceRecords()

  Get all ServiceRecord instances

  Returns:
    Array of ServiceRecord objects. If there are no records found, a zero length array will be returned

### getServiceRecords

    public ServiceRecord[] getServiceRecords(int type)

  Get ServiceRecord instances for ServiceRecord type(s)

  Parameters:
    `type` - The type of ServiceRecord to get, either ServiceRecord.ACTIVE_SERVICE_RECORD or ServiceRecord.INACTIVE_SERVICE_RECORD.
  Returns:
    Array of ServiceRecord objects based on the provided type(s). If there are no records found, a zero length array will be returned

### getServiceRecords

    public ServiceRecord[] getServiceRecords(Uuid instantiatorID,
                                             int type)

  Get ServiceRecord instances for a key and ServiceRecord type(s)

  Parameters:
    `instantiatorID` - The ServiceBeanInstantiator id
    `type` - The type of ServiceRecord to get, either ServiceRecord.ACTIVE_SERVICE_RECORD or ServiceRecord.INACTIVE_SERVICE_RECORD.
  Returns:
    An array of ServiceRecord instances catalogued with the provided key. A new array will be allocated each time. If there are no ServiceRecords found, an empty array will be returned

### getServiceRecords

    public ServiceRecord[] getServiceRecords(Uuid sbid)

  Get all ServiceRecord instances for a ServiceBean identifier

  Parameters:
    `sbid` - The Uuid for a ServiceBean
  Returns:
    Array of ServiceRecord objects based on the provided identifier. If there are no records found, a zero length array will be returned

### getServiceRecords

    public ServiceRecord[] getServiceRecords(Uuid sbid,
                                             Uuid instantiatorID)

  Get all ServiceRecord instances for a ServiceBean identifier and key

  Parameters:
    `sbid` - The identifier for a ServiceBean
    `instantiatorID` - The ServiceBeanInstantiator id to retrieve ServiceRecord instances
  Returns:
    Array of ServiceRecord objects based on the provided identifier. If there are no records found, a zero length array will be returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.